<?php
/**
 * Převádí data a navíc přidává advert_custom_url s URL nabídky.
 */
class Dalten_Export_ViarealityRemax extends Dalten_Export_Sreality
{
	protected function _convert(array $convertedValues, array $originalvalues, $entityName)
	{
		if ($entityName === 'listing') {
			$convertedValues['advert_custom_url'] =
			$convertedValues['url_client_detail'] =
				sprintf('https://www.remax-czech.cz/reality/detail/%d/', $originalvalues['id']);
		}

		return parent::_convert($convertedValues, $originalvalues, $entityName);
	}
}